Bug 158626 - Not able to mount /ora_req_data
Not able to mount /ora_req_data
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mount (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Karel Zak
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-24 08:42 EDT by sumanpatra
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 07:16:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DELL DSET report (1.21 MB, application/x-zip-compressed)
2005-05-25 02:58 EDT, sumanpatra
no flags Details
Sysreport (871.87 KB, application/octet-stream)
2005-05-25 03:01 EDT, sumanpatra
no flags Details

  None (edit)
Description sumanpatra 2005-05-24 08:42:28 EDT
Description of problem:Not able to umount /ora_req_data

[root@becnfs1 root]# df -k
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda7              3099260    712936   2228892  25% /
/dev/sda3               505636     20176    459355   5% /boot
none                    514192         0    514192   0% /dev/shm
/dev/sda6              3099260     34712   2907116   2% /tmp
/dev/sda5              3217848   2165844    888548  71% /usr
/dev/sda10             2063504    110576   1848108   6% /var
/dev/sda2             10325780     33488   9767772   1% /home
/dev/becnfs1vol1/oracle
                      10837264   9903332    603632  95% /oracle
/dev/becnfs1vol1/allbackup
                      61927420  38680232  20101460  66% /allbackup
/dev/becnfs1vol1/oracle9i
                       8256952   4684176   3237232  60% /oracle9i
/dev/becnfs1vol1/ora_adm
                       7224824   4754840   2102984  70% /ora_adm
/dev/becnfs1vol1/ora_req_data
                      30963708  18393840  10997004  63% /ora_req_data
/dev/becnfs1vol1/icp_mktplace_dev
                      37156416  26578436   8690544  76% /icp_mktplace_dev
/dev/becnfs1vol1/icp_mktplace_qa
                      51606140  37217520  11767180  76% /icp_mktplace_qa
/dev/becnfs1vol1/ora_data
                      92891128  80316684   7855852  92% /ora_data
[root@becnfs1 root]# more /etc/fstab
LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
LABEL=/tmp              /tmp                    ext3    defaults        1 2
LABEL=/usr              /usr                    ext3    defaults        1 2
LABEL=/var              /var                    ext3    defaults        1 2
/dev/sda8               swap                    swap    defaults        0 0
/dev/sda9               swap                    swap    defaults        0 0
LABEL=/home-12327             /home                   ext3    defaults        1 
2
/dev/cdrom              /mnt/cdrom              udf,iso9660 
noauto,owner,kudzu,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner,kudzu 0 0
/dev/becnfs1vol1/oracle         /oracle         ext3    defaults        1 2
/dev/becnfs1vol1/allbackup      /allbackup      ext3    defaults        1 2
/dev/becnfs1vol1/oracle9i       /oracle9i       ext3    defaults        1 2
/dev/becnfs1vol1/ora_adm        /ora_adm        ext3    defaults        1 2
/dev/becnfs1vol1/ora_req_data   /ora_req_data   ext3    defaults        1 2
/dev/becnfs1vol1/icp_mktplace_dev       /icp_mktplace_dev       ext2    
defaults        1 2
/dev/becnfs1vol1/icp_mktplace_qa        /icp_mktplace_qa        ext2    
defaults        1 2
/dev/becnfs1vol1/ora_data       /ora_data       ext3    defaults        1 2
[root@becnfs1 root]#


If you check df -k you will find the following
/dev/becnfs1vol1/ora_req_data
                      30963708  18393840  10997004  63% /ora_req_data

But if you issue the following command you can see the difference
[root@becnfs1 root]# du -sk /ora_req_data
3523912 /ora_req_data
[root@becnfs1 root]#

It is using 18393840kb space as it is showing in df -k, but actually it is 
utilizing 3523912kb space.

It seems some open file is there!!!!

So I tried with following to finding out open files....
[root@becnfs1 root]# lsof +D /ora_req_data
[root@becnfs1 root]# lsof /ora_req_data
[root@becnfs1 root]# lsof +d /ora_req_data
[root@becnfs1 root]# lsof -a /ora_req_data
[root@becnfs1 root]# 

But NO LUCk!!!!

So I have tried with the following.... But exhausted 

[root@becnfs1 root]# umount /ora_req_data
umount: /ora_req_data: device is busy
[root@becnfs1 root]# umount -f /ora_req_data
umount2: Device or resource busy
umount: /ora_req_data: device is busy
[root@becnfs1 root]# fuser -k /ora_req_data
/ora_req_data:
No process references; use -v for the complete list
No automatic removal. Please use  umount /ora_req_data
[root@becnfs1 root]# fuser -v /ora_req_data

                     USER        PID ACCESS COMMAND
/ora_req_data        root     kernel mount  /ora_req_data
[root@becnfs1 root]#


Version-Release number of selected component (if applicable):
[root@becnfs1 root]# uname -r
2.4.21-4.ELsmp
[root@becnfs1 root]# more /etc/redhat-release
Red Hat Enterprise Linux AS release 3 (Taroon)
[root@becnfs1 root]#

Now looking for urgent help as some database people are behind me waiting for 
solution.


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Karel Zak 2005-05-24 10:33:45 EDT
Please, connect Red Hat support: https://www.redhat.com/apps/support/
Comment 2 sumanpatra 2005-05-24 10:50:04 EDT
I am not able to contact RedHat support. Could you please help on this as 
RedHat escalate to partner vendor and vendor escalates to RedHat. That is the 
reason I am posting in this site, otherwise why should I post it in Bugzilla 
when We have already a valid support contact to RedHat through DELL.
Comment 3 Karel Zak 2005-05-24 11:14:40 EDT
I understand, but in bugzilla is really no place where you can expect some fast
answers. It's development tool. You should contact Dell support.

In your bug report is missing a lot of information. For example information
about your HW, dmesg output, lsmod output ...etc. Now we only know that you
cannot umount any device and it's probably kernel who hangs up on your device.
Comment 4 sumanpatra 2005-05-25 02:58:05 EDT
Created attachment 114814 [details]
DELL DSET report 

Plz find the DELL DSET report for detail system information
Comment 5 sumanpatra 2005-05-25 02:59:34 EDT
please find dmesg and lsmod output:

dmesg : main part attached here

svc: unknown version (1)
svc: unknown version (1)
svc: unknown version (1)
svc: unknown version (1)
device sw0 entered promiscuous mode
nfsd: request from insecure port (0a18ca12:36944)!
nfsd: request from insecure port (0a18ca12:36944)!
device sw0 left promiscuous mode
svc: unknown version (1)
svc: unknown version (1)
svc: unknown version (1)
svc: unknown version (1)


lsmod output

Module                  Size  Used by    Tainted: P  
vfat                   13196   0  (autoclean)
fat                    40184   0  (autoclean) [vfat]
ipt_REJECT              4632   0  (autoclean)
ipt_state               1080   0  (autoclean)
ip_conntrack           29928   1  (autoclean) [ipt_state]
iptable_filter          2412   0  (autoclean)
ip_tables              16544   3  [ipt_REJECT ipt_state iptable_filter]
nfs                    96912   0  (autoclean)
nfsd                   86960  12  (autoclean)
lockd                  60656   1  (autoclean) [nfs nfsd]
sunrpc                 92124   1  (autoclean) [nfs nfsd lockd]
lp                      9220   0  (autoclean)
parport                39072   0  (autoclean) [lp]
sg                     38060   1  (autoclean)
autofs                 13780   0  (autoclean) (unused)
basp                   58016   1 
bcm5700               103336   2  (autoclean)
floppy                 59056   0  (autoclean)
microcode               5248   0  (autoclean)
ide-cd                 35776   0  (autoclean)
cdrom                  34144   0  (autoclean) [ide-cd]
loop                   12888   0  (autoclean)
lvm-mod                65344  17 
keybdev                 2976   0  (unused)
mousedev                5688   0  (unused)
hid                    22404   0  (unused)
input                   6208   0  [keybdev mousedev hid]
usb-ohci               23688   0  (unused)
usbcore                83168   1  [hid usb-ohci]
ext3                   95784  12 
jbd                    56856  12  [ext3]
lpfcdd                296136   3 
megaraid               31212   8 
sd_mod                 13744  20 
scsi_mod              116904   4  [sg lpfcdd megaraid sd_mod]


And for detail h/w information I am attaching DELL DSET report and sysreport.
Comment 6 sumanpatra 2005-05-25 03:01:40 EDT
Created attachment 114815 [details]
Sysreport

Check sysreport
Comment 7 Radek Vokal 2006-11-29 07:16:48 EST
For RHEL3 we are looking only for critical bugs, security flaws and performance
issues. If you still observe this bug please contact our support.

Note You need to log in before you can comment on or make changes to this bug.